{
  nixpkgs,
  inputs,
}:
{
  mkHost = name: arch: {
    nixpkgs.lib.nixosSystem = {
      system = arch;
      modules = [
        ./hosts/base.nix
        ./hosts/${name}.nix
        ./nixosModules
      ];
      specialArgs = {
        inherit inputs;
      };
    };
  };
}
